<div class="ho-so-container bg-white rounded-xl">
    <div>
        <div class="d-flex align-items-center justify-content-between p-4">
            <strong class="text-warn text-capitalize mb-0">
                Danh Sách Hồ Sơ Bảo Hiểm 
                <span *ngIf="BH=='bh-dl'">Du lịch</span>
                <span *ngIf="BH=='bh-xcg'">Xe Cơ Giới</span>
                <span *ngIf="BH=='bh-xgm'">Xe Gắn Máy</span>
                <span *ngIf="BH=='bh-sktd'">Sức Khỏe Toàn Diện</span>
                <span *ngIf="BH=='bh-ut'">Ung Thư</span>
                <span *ngIf="BH=='bh-nt'">Nhân Thọ</span>
                <span *ngIf="BH=='bh-tc'">Tài chính</span>
                <span *ngIf="BH=='bh-vtc'">Vay tín chấp</span>
                <span *ngIf="BH=='bh-dn'">Doanh nghiệp</span>
            </strong>
            <button class="btn btn-light mr-auto ml-3"><i class="fas fa-sync-alt text-secondary"></i></button>
            <button routerLink="./tao-moi" mat-stroked-button color="warn" class="rounded-pill ml-auto"><mat-icon class="mr-1">playlist_add</mat-icon> Import</button>
            <button routerLink="./tao-moi" mat-stroked-button color="warn" class="rounded-pill ml-3"><mat-icon class="mr-1">playlist_play</mat-icon> Export</button>
            <button class="rounded-pill px-4 ml-3" mat-raised-button color="warn" routerLink="./tao-moi"><mat-icon class="mr-2">add</mat-icon> Tạo hồ sơ mới</button>
        </div>
        
        <nav>
            <div class="nav nav-tabs px-4" id="nav-tab" role="tablist">
                <a class="nav-item nav-link active" id="nav-home-tab" data-toggle="tab" href="#nav-home" role="tab" aria-controls="nav-home" aria-selected="true" mat-button>Hồ sơ mới</a>
                <a class="nav-item nav-link" id="nav-profile-tab" data-toggle="tab" href="#nav-profile" role="tab" aria-controls="nav-profile" aria-selected="false" mat-button>Hồ sơ giai đoạn 2</a>
                <a class="nav-item nav-link" id="nav-contact-tab" data-toggle="tab" href="#nav-contact" role="tab" aria-controls="nav-contact" aria-selected="false" mat-button>Hồ sơ giai đoạn 3</a>
            </div>
        </nav>
    </div>
    
    <div class="tab-content" id="nav-tabContent">
        <div class="tab-pane fade show active px-4 pt-4" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">
            <mat-form-field appearance="outline" color="warn" class="w-100">
                <mat-label>Search</mat-label>
                <input matInput (keyup)="applyFilter($event)" placeholder="Ex. Mia">
                <mat-icon class="mx-3" matPrefix>search</mat-icon>
            </mat-form-field>
            
            <div class="ho-so-table">
                <table mat-table [dataSource]="dataSource" matSort>
                    
                    <!-- ID Column -->
                    <ng-container matColumnDef="id">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header> ID </th>
                        <td mat-cell *matCellDef="let row"> {{row.id}} </td>
                    </ng-container>
                    
                    <!-- Progress Column -->
                    <ng-container matColumnDef="progress">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header> Progress </th>
                        <td mat-cell *matCellDef="let row"> {{row.progress}}% </td>
                    </ng-container>
                    
                    <!-- Name Column -->
                    <ng-container matColumnDef="name">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header> Name </th>
                        <td mat-cell *matCellDef="let row"> {{row.name}} </td>
                    </ng-container>
                    
                    <!-- Color Column -->
                    <ng-container matColumnDef="color">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header> Color </th>
                        <td mat-cell *matCellDef="let row" [style.color]="row.color"> {{row.color}} </td>
                    </ng-container>
                    
                    <ng-container matColumnDef="action">
                        <th mat-header-cell *matHeaderCellDef></th>
                        <td mat-cell *matCellDef="let row">
                            <button mat-stroked-button class="mat-button-sm mr-4"><mat-icon>print</mat-icon> In phiếu yêu cầu</button>  
                            <button mat-stroked-button color="primary" class="mat-button-sm"><mat-icon>edit</mat-icon> Chỉnh sửa</button>  
                        </td>
                    </ng-container>
                    
                    <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
                </table>
            </div>
            
            <mat-paginator [pageSizeOptions]="[15, 25, 50, 100]"></mat-paginator>
            
        </div>
        <div class="tab-pane fade" id="nav-profile" role="tabpanel" aria-labelledby="nav-profile-tab">...</div>
        <div class="tab-pane fade" id="nav-contact" role="tabpanel" aria-labelledby="nav-contact-tab">...</div>
    </div>
    
    
</div>
